#include "server.h"
#include "udp.h"

void print(std::string buffer, azh::Server &s)
{
    std::cout << buffer << std::endl;
}

void stop(std::string buffer, azh::Server &s)
{
    s.stop();
}

int serverUDP()
{
    azh::Server server;

    server.createUDP(1991);
    server.bind();

    server.registerHook("", print);
    server.registerHook("exit", stop);

    server.listen();

    return 0;
}
